Subject: bug#54944: guix pull hangs on 32 bit

From: raingloom <[email-masked]>
Date: Fri, 15 Apr 2022 02:08:28 +0200

It's been at 67% on guix-packages-base for at least an hour now. The
system itself is responsive and with the swap I gave it, it has more
than enough memory. Htop shows three guile processes at the top of the
list when sorted by CPU%, their states are S, D, D.
Both CPUs are practically idling.
This looks like some kind of lockup to me.

Fresh install based on bare-bones example on a 32 bit netbook, but the
install image used is the latest tagged version, since apparently there
is no 32 bit option for edge.

I also tried pulling using channel-with-substitutes, since I'm not too
keen on locally building everything on such an old machine. Although
Guix itself should frankly not take this long to build if we want to be
competitive with other distros. Anyways, pulling with that in
channels.scm gives a cert related error, so that's great, means old
images can't easily be used for installation.